Method: resolveMapsUrls

Resolves a list of Google Maps URLs to specific geospatial entities (e.g., places) on Google Maps.

HTTP request

POST https://mapstools.googleapis.com/v1alpha:resolveMapsUrls

The URL uses gRPC Transcoding syntax.

Request body

The request body contains data with the following structure:

JSON representation
{
  "urls": [
    string
  ]
}
Fields
urls[]

string

Required. The Google Maps URLs to be resolved. Each URL should be a valid Google Maps URL, for example, https://maps.app.goo.gl/..., https://www.google.com/maps/place/..., or https://maps.google.com/.... Currently, only URLs pointing to a single place are supported. You may specify up to 20 URLs.

Response body

Response message for v1alpha.resolveMapsUrls.

If successful, the response body contains data with the following structure:

JSON representation
{
  "entities": [
    {
      object (Entity)
    }
  ],
  "failedRequests": {
    integer: {
      object (Status)
    },
    ...
  }
}
Fields
entities[]

object (Entity)

Output only. The list of resolved entities from the Google Maps URLs. Guaranteed to map 1:1 with the request urls indices. An empty message at index i (where no entity is set) indicates the resolution failed for that URL. If the resolution failed, please check the failedRequests field for the error status.

failedRequests

map (key: integer, value: object (Status))

Output only. A map communicating partial failures for the Google Maps URLs. The key is the index of the failed request in the urls field. The value is the error status detailing why the resolution failed.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/maps-platform.mapstools
  • https://www.googleapis.com/auth/cloud-platform.read-only